Appearance
Get transaction history for all subaccounts
GET
/v1/account/transactionhistory/subaccounts
Transaction history for all your sub accounts.
The results of this request may be filtered by transaction types, currency and start and end time. The skip and limit parameters may be applied to paginate the filtered results.
Please note that all transactions that are returned using the provided filter criteria will be ordered by the date the transactions were created in descending order.
Filtering by skip or limit
Paginate the query results by skipping the skip newest results, and limiting the results to limit records. The default value of skip, if omitted, is 0, and the default value of limit is 100. The maximum allowed value of limit is 200.
Filtering by startTime or endTime
The startTime or endTime parameters may be used to filter the returned items by the transaction date. The parameters will be interpreted as being in the UTC time zone and must be supplied in the ISO 8601 format (2020-02-29T22:00:00.000Z). These two parameters may be used together or separately.
Possible Scenarios:
- When
startTimeandendTimeare not provided thestartTimewill be defaulted to 1 day before current time andendTimewill be defaulted to current time. - When
startTimeis specified andendTimeis not specified,endTimewill be defaulted to 7 days afterstartTime, to a maximum of current time. - When
startTimeis not specified andendTimeis specified,startTimewill be defaulted to 7 days prior toendTime. startTimeandendTimemay not differ by more than 7 days.
Note: The startTime and endTime parameters are optional filters. However, omitting these parameters may result in slower response times. To mitigate this, a default time window such as the most recent 30 days may be automatically applied to the request.
Authorizations
apiKey
Your API key
Type
API Key (header: X-VALR-API-KEY)
apiSignature
HMAC SHA512 signature of the request (see Authentication section)
Type
API Key (header: X-VALR-SIGNATURE)
apiTimestamp
Request timestamp in milliseconds
Type
API Key (header: X-VALR-TIMESTAMP)
Parameters
Query Parameters
skip
Skip this number of results. (Default 0)
Type
integer
Format
"int32"limit
Limit the results to this number. (Default and Max 100)
Type
integer
Format
"int32"transactionTypes
Comma-separated list of transaction types to include
Type
string
currency
Include only transactions in this currency (e.g., USDC, BTC)
Type
string
startTime
Include only transactions after this ISO 8601 start time. When not provided with endTime, defaults to 1 day before current time.
Type
string
endTime
Include only transactions before this ISO 8601 end time. startTime and endTime may not differ by more than 7 days.
Type
string
Responses
Subaccount transaction history retrieved successfully
application/json
JSON
[
{
"id": "1306231494450782208",
"label": "Margin Trading",
"transactions": [
{
"transactionType": {
"type": "SPOT_BORROW_INTEREST_CHARGE",
"description": "Spot Borrow Interest Charge"
},
"debitCurrency": "AVAX",
"debitValue": "0.00000184",
"eventAt": "2025-07-03T08:00:00.461Z",
"additionalInfo": {
"borrowAmount": "3.0520996",
"hourlyRate": "6.00E-7"
},
"id": "0197cf4c-b5cd-7f4a-8c32-7f183d3f2f4a"
},
{
"transactionType": {
"type": "INTERNAL_TRANSFER",
"description": "Transfer"
},
"debitCurrency": "USDC",
"debitValue": "83241.870104015439",
"eventAt": "2025-07-03T07:19:01.245Z",
"additionalInfo": {
"reason": "SUB_ACCOUNT",
"reasonDescription": "Transfer between subaccounts",
"additional": "Transfer from API key test to Primary",
"transferId": "443661"
},
"id": "0197cf27-2f7d-7ac8-9d29-578d356d7ac8"
}
]
}
]